﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_utils "code.fnuoos.com/EggPlanet/egg_models.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"fmt"
	"reflect"
	"xorm.io/xorm"
)

func NewUserWalletDb(engine *xorm.Engine) dao.UserWalletDao {
	return &UserWalletDb{Db: engine}
}

type UserWalletDb struct {
	Db *xorm.Engine
}

func (u UserWalletDb) GetUserVirtualWallet(uid int64) (*model.UserWallet, error) {
	var userWallet model.UserWallet
	get, err := u.Db.Where("uid = ?", uid).Get(&userWallet)
	if err != nil {
		return nil, err
	}
	if get {
		return &userWallet, nil
	} else {
		userWallet.Amount = "0"
		userWallet.Uid = uid
		one, err1 := u.Db.InsertOne(&userWallet)
		if err1 != nil || one == 0 {
			return nil, err1
		}
		return &userWallet, nil
	}
}

func (u UserWalletDb) FindUserWalletByParams(params map[string]interface{}) (*[]model.UserWallet, error) {
	var m []model.UserWallet
	if reflect.TypeOf(params["value"]).Kind() == reflect.Slice {
		//指定In查询
		if err := u.Db.In(zhios_order_relate_utils.AnyToString(params["key"]), params["value"]).Find(&m); err != nil {
			return nil, zhios_order_relate_logx.Warn(err)
		}
	} else {
		var query = fmt.Sprintf("%s =?", params["key"])
		err := u.Db.Where(query, params["value"]).Find(&m)
		if err != nil {
			return nil, zhios_order_relate_logx.Error(err)
		}
	}
	return &m, nil
}
