package model

type FinWithdrawSetting struct {
	Id                    int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	FrequencySet          string `json:"frequency_set" xorm:"not null comment('频率设置') TEXT"`
	WithdrawType          int    `json:"withdraw_type" xorm:"not null default 1 comment('提现方式(1:支付宝 2:微信)') TINYINT(1)"`
	VipLevelLimit         int    `json:"vip_level_limit" xorm:"not null default 0 comment('提现等级限制') INT(11)"`
	IsRealName            int    `json:"is_real_name" xorm:"not null default 0 comment('是否实名(0:否 1:是)') TINYINT(1)"`
	WithdrawNumsLimit     int    `json:"withdraw_nums_limit" xorm:"not null default 0 comment('提现次数限制(对应上方设置周期，0为不限制，失败、驳回不计数 )') TINYINT(3)"`
	WithdrawAmountLimit   string `json:"withdraw_amount_limit" xorm:"not null comment('提现金额限制(0为不限制，大于等于该金额才可以申请提现 )') DECIMAL(10,2)"`
	WithdrawMultipleLimit string `json:"withdraw_multiple_limit" xorm:"not null comment('提现倍数限制（0为不限制，金额限制倍数才可以申请提现 ）') DECIMAL(10,2)"`
	IsSupportDecimalPoint int    `json:"is_support_decimal_point" xorm:"not null default 0 comment('是否支持小数点(0:否 1:是)') TINYINT(1)"`
	IsAuto                int    `json:"is_auto" xorm:"not null default 0 comment('是否开启自动提现(0:否 1:是)') TINYINT(1)"`
	WithdrawTimeInterval  string `json:"withdraw_time_interval" xorm:"not null default '' comment('提现时段') VARCHAR(255)"`
	WithdrawFeeSet        string `json:"withdraw_fee_set" xorm:"comment('提现手续费设置') TEXT"`
	CreateAt              string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('申请时间') TIMESTAMP"`
	UpdateAt              string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('处理时间') TIMESTAMP"`
}
